Skip to main content
GET
List workflow executions

Authorizations

Api-Token
string
header
required

Server-to-server authentication. Generate a token in the admin UI at Settings → Developers → API Access. Send the raw token in the Api-Token header — there is no Bearer prefix.

Tokens can be marked read-only at creation time, in which case the API rejects any non-GET request with 403 Forbidden.

Query Parameters

page
integer
default:1

The collection page number

itemsPerPage
integer
default:50

The number of items per page

Required range: 0 <= x <= 100
pagination
boolean

Enable or disable pagination

workflow
string
workflow[]
string[]
status
string
status[]
string[]
triggerEvent
string
triggerEvent[]
string[]
user
string
user[]
string[]
order[id]
enum<string>
default:asc
Available options:
asc,
desc
order[dateCreated]
enum<string>
default:asc
Available options:
asc,
desc
order[status]
enum<string>
default:asc
Available options:
asc,
desc

Response

WorkflowExecution collection

id
integer
read-only
workflow
string<iri-reference>
Example:

"/api/v1/workflows/1"

user
string<iri-reference> | null
Example:

"/api/v1/users/1"

triggerEvent
string
triggerPayload
(string | null)[] | null
status
string
default:pending
dateCreated
string<date-time>
read-only
dateStarted
string<date-time> | null
dateCompleted
string<date-time> | null
executionLog
(string | null)[] | null
errorMessage
string | null